#1211 closed defect (invalid)

Wrong file locations prevent sucessful build for PowerPC + workaround

Reported by: Avy Strominger Owned by: Ralf Corsepius
Priority: normal Milestone: 4.7
Component: score Version: 4.7
Severity: normal Keywords:
Cc: astrominger@… Blocked By:
Blocking:

Description

Building for Cygwin PowerPC, RTEMS 4.6.99.3 fails due to files that are compiled during the build into one directory, and expected later in another one.

affected BSP (at least): gen405, psim, ss555.

for details, file affected in each BSP, actual location and expected location of each mis-located file, and workaround see:

http://www.rtems.com/ml/rtems-users/2006/december/msg00163.html

Attachments (6)

Makefile.in (203.6 KB) - added by Avy Strominger on Jan 4, 2007 at 7:07:32 PM.
requested c/src/lib/libcpu/powerpc/Makefile.in
configure (165.6 KB) - added by Avy Strominger on Jan 4, 2007 at 7:08:43 PM.
requested c/src/lib/libcpu/powerpc/configure
Makefile_v1.in (55.4 KB) - added by Avy Strominger on Jan 4, 2007 at 7:09:57 PM.
c\src\lib\libbsp\powerpc\ss555\Makefile.in
configure_v1 (169.2 KB) - added by Avy Strominger on Jan 4, 2007 at 7:10:49 PM.
c\src\lib\libbsp\powerpc\ss555\configure
Makefile_v2.in (76.5 KB) - added by Avy Strominger on Jan 4, 2007 at 7:11:55 PM.
c\src\lib\libbsp\powerpc\psim\Makefile.in
configure_v2 (170.7 KB) - added by Avy Strominger on Jan 4, 2007 at 7:12:42 PM.
c\src\lib\libbsp\powerpc\psim\configure

Download all attachments as: .zip

Change History (11)

comment:1 Changed on Jan 4, 2007 at 2:32:50 AM by Ralf Corsepius

Owner: changed from Joel Sherrill to Ralf Corsepius

Changed on Jan 4, 2007 at 7:07:32 PM by Avy Strominger

Attachment: Makefile.in added

requested c/src/lib/libcpu/powerpc/Makefile.in

Changed on Jan 4, 2007 at 7:08:43 PM by Avy Strominger

Attachment: configure added

requested c/src/lib/libcpu/powerpc/configure

Changed on Jan 4, 2007 at 7:09:57 PM by Avy Strominger

Attachment: Makefile_v1.in added

c\src\lib\libbsp\powerpc\ss555\Makefile.in

Changed on Jan 4, 2007 at 7:10:49 PM by Avy Strominger

Attachment: configure_v1 added

c\src\lib\libbsp\powerpc\ss555\configure

Changed on Jan 4, 2007 at 7:11:55 PM by Avy Strominger

Attachment: Makefile_v2.in added

c\src\lib\libbsp\powerpc\psim\Makefile.in

Changed on Jan 4, 2007 at 7:12:42 PM by Avy Strominger

Attachment: configure_v2 added

c\src\lib\libbsp\powerpc\psim\configure

comment:2 Changed on Jan 5, 2007 at 9:06:57 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

comment:3 Changed on Jan 5, 2007 at 12:36:34 PM by Avy Strominger

Cc: Avy Strominger added
Resolution: fixed
Status: closedreopened

comment:4 Changed on Jan 6, 2007 at 4:03:40 AM by Ralf Corsepius

Resolution: invalid
Status: reopenedclosed

comment:5 Changed on Jan 9, 2007 at 1:41:49 PM by Bob Grimes

Replying to comment:14:

Replying to comment:13:

Replying to comment:12:
Hi Ralf,

I did indeed have 1.9.6 of automake. I installed 1.10 and tried your
instructions, but the same failures result.

Check the first couple of lines of your c/src/lib/libcpu/powerpc/Makefile.in
if it referrs to automake-1.9.6 or automake-1.10

Okay, I tried this from a fresh untar of rtems-4.6.99.3.tar.bz2; this archive I downloaded last month, and is dated 2006/04/24. When I check the file you mentioned, it does indeed have this as its first line:

# Makefile.in generated by automake 1.9.6 from Makefile.am.

So this seems to be a problem in the tarball? Unfortunately, I don't have access to the RTEMS CVS from here, behind the firewall, so I'm kind of stuck with the tarball I have. I decided to go forward, and the bootstrap procedure give many messages I had not seen before (with automake 1.9.6); before, it was pretty quiet. Here are the first few lines of the output:

$ ./bootstrap
./c
./c/src/ada-tests
./c/src
/usr/share/automake-1.10/am/depend2.am: amfastdepCCAS does not appear in AM_CONDITIONAL
/usr/share/automake-1.10/am/depend2.am: The usual way to define am__fastdepCCAS' is to add AM_PROG_AS'
/usr/share/automake-1.10/am/depend2.am: to configure.ac' and run aclocal' and `autoconf' again.
./c/src/lib/libbsp/arm/armulator
/usr/share/automake-1.10/am/depend2.am: am
fastdepCCAS does not appear in AM_CONDITIONAL
/usr/share/automake-1.10/am/depend2.am: The usual way to define am__fastdepCCAS' is to add AM_PROG_AS'
/usr/share/automake-1.10/am/depend2.am: to configure.ac' and run aclocal' and `autoconf' again.
./c/src/lib/libbsp/arm
acinclude.m4 is unchanged

In summary, I'm getting a lot of "XXX.m 4 is unchanged" and "am_fastdepCCAS does not appear in AM_CONDITIONAL" messages. I'm hoping this raises a flag in your mind as to what is going on...

Thanks, Ralf!

Also make sure to have removed all autom4te.caches before running ./bootstrap
(Running ./bootstrap -c before ./bootstrap does this).

I did that exact command.

Also start with an empty build directory.

Tried that too.

Note: See TracTickets for help on using tickets.